curl --request GET \
--url https://api.tread-horizon.com/v1/jobs/{job-id}/location_histories \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"load_state": "created",
"lon": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"offline_mode": true,
"speed_meters_per_second": "<string>"
}
]
}Retrieve LocationHistories for a Job.
curl --request GET \
--url https://api.tread-horizon.com/v1/jobs/{job-id}/location_histories \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"load_state": "created",
"lon": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"offline_mode": true,
"speed_meters_per_second": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Job ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
OK
Show child attributes